Bug 978465 - [abrt] cryptkeeper-0.9.5-7.fc19: strcmp: Process /usr/bin/cryptkeeper was killed by signal 11 (SIGSEGV)
[abrt] cryptkeeper-0.9.5-7.fc19: strcmp: Process /usr/bin/cryptkeeper was kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cryptkeeper (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hicham HAOUARI
Fedora Extras Quality Assurance
abrt_hash:2dc2dbb5ba23a3c3a7e22a46037...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 12:38 EDT by Mark E. Wilt
Modified: 2015-02-17 10:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:42:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (75.51 KB, text/plain)
2013-06-26 12:38 EDT, Mark E. Wilt
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-26 12:38 EDT, Mark E. Wilt
no flags Details
File: core_backtrace (3.89 KB, text/plain)
2013-06-26 12:39 EDT, Mark E. Wilt
no flags Details
File: dso_list (7.18 KB, text/plain)
2013-06-26 12:39 EDT, Mark E. Wilt
no flags Details
File: environ (1.66 KB, text/plain)
2013-06-26 12:39 EDT, Mark E. Wilt
no flags Details
File: gconf_subtree (518 bytes, text/plain)
2013-06-26 12:39 EDT, Mark E. Wilt
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-26 12:39 EDT, Mark E. Wilt
no flags Details
File: maps (37.62 KB, text/plain)
2013-06-26 12:39 EDT, Mark E. Wilt
no flags Details
File: open_fds (3.05 KB, text/plain)
2013-06-26 12:39 EDT, Mark E. Wilt
no flags Details
File: proc_pid_status (959 bytes, text/plain)
2013-06-26 12:39 EDT, Mark E. Wilt
no flags Details
File: var_log_messages (318 bytes, text/plain)
2013-06-26 12:39 EDT, Mark E. Wilt
no flags Details

  None (edit)
Description Mark E. Wilt 2013-06-26 12:38:52 EDT
Description of problem:
Using the cryptkeeper notification-area icon, attempted to unmount an encrypted folder (after having previously mounted it via the notification-area icon), and after several seconds received the error notification & fired up this bug report. This last unmount action was one of several...the previous mounts/unmounts succeeded without problems. 

Version-Release number of selected component:
cryptkeeper-0.9.5-7.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        cryptkeeper
crash_function: strcmp
executable:     /usr/bin/cryptkeeper
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strcmp at ../sysdeps/x86_64/strcmp.S:213
 #1 is_mounted at encfs_wrapper.cpp:49
 #2 encfs_stash_unmount at encfs_wrapper.cpp:251
 #3 unmount_cryptpoint at main.cpp:155
 #4 on_mount_check_item_toggled at main.cpp:278
 #5 _g_closure_invoke_va at gclosure.c:840
 #8 gtk_check_menu_item_toggled at gtkcheckmenuitem.c:299
 #9 gtk_check_menu_item_activate at gtkcheckmenuitem.c:419
 #10 _g_closure_invoke_va at gclosure.c:840
 #13 gtk_widget_activate at gtkwidget.c:5048
Comment 1 Mark E. Wilt 2013-06-26 12:38:56 EDT
Created attachment 765694 [details]
File: backtrace
Comment 2 Mark E. Wilt 2013-06-26 12:38:58 EDT
Created attachment 765695 [details]
File: cgroup
Comment 3 Mark E. Wilt 2013-06-26 12:39:04 EDT
Created attachment 765696 [details]
File: core_backtrace
Comment 4 Mark E. Wilt 2013-06-26 12:39:07 EDT
Created attachment 765697 [details]
File: dso_list
Comment 5 Mark E. Wilt 2013-06-26 12:39:10 EDT
Created attachment 765698 [details]
File: environ
Comment 6 Mark E. Wilt 2013-06-26 12:39:14 EDT
Created attachment 765699 [details]
File: gconf_subtree
Comment 7 Mark E. Wilt 2013-06-26 12:39:17 EDT
Created attachment 765700 [details]
File: limits
Comment 8 Mark E. Wilt 2013-06-26 12:39:20 EDT
Created attachment 765701 [details]
File: maps
Comment 9 Mark E. Wilt 2013-06-26 12:39:22 EDT
Created attachment 765702 [details]
File: open_fds
Comment 10 Mark E. Wilt 2013-06-26 12:39:25 EDT
Created attachment 765703 [details]
File: proc_pid_status
Comment 11 Mark E. Wilt 2013-06-26 12:39:28 EDT
Created attachment 765704 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 13:33:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 10:42:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.